Loading...
Searching...
No Matches
caf::detail::is_callable< T > Struct Template Reference

Checks wheter T is a function or member function. More...

`#include <type_traits.hpp>`

## Public Types

using | result_type = decltype(_fun(static_cast<decay_t<T>*>(nullptr)))

## Static Public Member Functions

template<class C>
static bool | _fun (C *, typename get_callable_trait< C >::type *=nullptr)
static void | _fun (void *)

## Static Public Attributes

static constexpr bool | value = std::is_same<bool, result_type>::value

## Detailed Description

template<class T>
struct caf::detail::is_callable< T >

Checks wheter T is a function or member function.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp